/**
 * Print env settings.
 * @function print
 * @param {object} env - env settings to print.
 */

"use strict";

var colorprint = require('colorprint'),
    extend = require('extend'),
    clc = require('cli-color'),
    yaml = require('js-yaml');

/** @lends print */
function print(env) {
    var values = extend({}, env);
    colorprint.debug('');
    colorprint.debug('Env Settings');
    colorprint.debug('------------');
    var msg = yaml.safeDump(values);
    colorprint.debug(clc.blackBright(msg));
    colorprint.debug('');
    colorprint.debug('');
}

module.exports = print;
